From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <kn@openbsd.org>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <kn@openbsd.org>
Subject: [PATCH 1/5] neuter /help iff in restricted mode
Date: Fri, 22 Jan 2021 22:01:58 +0100
Message-Id: <20210122210202.85127-1-kn@openbsd.org>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

This goes in line with not executing progams and is in fact required on
OpenBSD to prevent catgirl from ever executing anything without doing
harm (see following commits).
---
 command.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/command.c b/command.c
index 998d9a2..501bff4 100644
--- a/command.c
+++ b/command.c
@@ -458,6 +458,11 @@ static void commandHelp(uint id, char *params) {
 		return;
 	}
 
+	if (self.restricted) {
+		uiFormat(id, Warm, NULL, "see catgirl(1)", NULL);
+		return;
+	}
+
 	uiHide();
 	pid_t pid = fork();
 	if (pid < 0) err(EX_OSERR, "fork");
-- 
2.30.0


